## packer 0.0.6

=== DESCRIPTION ===
Package: packer
Title: An Opinionated Framework for Using 'JavaScript'
Date: 2020-10-11
Version: 0.0.6
Authors@R: 
    person(given = "John",
           family = "Coene",
           role = c("aut", "cre"),
           email = "jcoenep@gmail.com",
           comment = c(ORCID = "0000-0002-6637-4107"))
Description: 
  Enforces good practice and provides convenience functions to make work with 'JavaScript' 
  not just easier but also scalable. It is a robust wrapper to 'NPM' and 'webpack' that 
  enables to compartmentalize 'JavaScript' code, leverage 'NPM' packages, and much more.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1.9000
Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
        rprojroot, rstudioapi
URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
BugReports: https://github.com/JohnCoene/packer/issues
Suggests: testthat, covr, golem
NeedsCompilation: no
Packaged: 2020-10-12 20:19:34 UTC; jp
Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
Maintainer: John Coene <jcoenep@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-20 14:30:02 UTC

## packer 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: packer
 Title: An Opinionated Framework for Using 'JavaScript'
-Date: 2020-10-11
-Version: 0.0.6
+Date: 2021-07-14
+Version: 0.1.0
 Authors@R: 
     person(given = "John",
            family = "Coene",
@@ -14,16 +14,15 @@
   enables to compartmentalize 'JavaScript' code, leverage 'NPM' packages, and much more.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1.9000
+RoxygenNote: 7.1.1
 Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
         rprojroot, rstudioapi
 URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
 BugReports: https://github.com/JohnCoene/packer/issues
 Suggests: testthat, covr, golem
 NeedsCompilation: no
-Packaged: 2020-10-12 20:19:34 UTC; jp
+Packaged: 2021-07-14 16:53:50 UTC; jp
 Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
 Maintainer: John Coene <jcoenep@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-10-20 14:30:02 UTC
+Date/Publication: 2021-07-14 17:10:02 UTC

## packer 0.1.1

=== DESCRIPTION ===
Package: packer
Title: An Opinionated Framework for Using 'JavaScript'
Date: 2021-08-14
Version: 0.1.1
Authors@R: 
    person(given = "John",
           family = "Coene",
           role = c("aut", "cre"),
           email = "jcoenep@gmail.com",
           comment = c(ORCID = "0000-0002-6637-4107"))
Description: 
  Enforces good practice and provides convenience functions to make work with 'JavaScript' 
  not just easier but also scalable. It is a robust wrapper to 'NPM', 'yarn', and 'webpack' that 
  enables to compartmentalize 'JavaScript' code, leverage 'NPM' and 'yarn' packages, include
  'TypeScript', 'React', or 'Vue' in web applications, and much more.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
        rprojroot, rstudioapi
URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
BugReports: https://github.com/JohnCoene/packer/issues
Suggests: testthat, covr, golem
NeedsCompilation: no
Packaged: 2021-08-14 11:24:33 UTC; jp
Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
Maintainer: John Coene <jcoenep@gmail.com>
Repository: CRAN
Date/Publication: 2021-08-14 12:40:02 UTC

## packer 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: packer
 Title: An Opinionated Framework for Using 'JavaScript'
-Date: 2021-08-14
-Version: 0.1.1
+Date: 2022-01-07
+Version: 0.1.2
 Authors@R: 
     person(given = "John",
            family = "Coene",
@@ -15,15 +15,15 @@
   'TypeScript', 'React', or 'Vue' in web applications, and much more.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
         rprojroot, rstudioapi
 URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
 BugReports: https://github.com/JohnCoene/packer/issues
 Suggests: testthat, covr, golem
 NeedsCompilation: no
-Packaged: 2021-08-14 11:24:33 UTC; jp
+Packaged: 2022-01-08 20:22:31 UTC; john
 Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
 Maintainer: John Coene <jcoenep@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-08-14 12:40:02 UTC
+Date/Publication: 2022-01-08 20:32:42 UTC

## packer 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: packer
 Title: An Opinionated Framework for Using 'JavaScript'
-Date: 2022-01-07
-Version: 0.1.2
+Date: 2022-05-28
+Version: 0.1.3
 Authors@R: 
     person(given = "John",
            family = "Coene",
@@ -15,15 +15,15 @@
   'TypeScript', 'React', or 'Vue' in web applications, and much more.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.2
-Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
-        rprojroot, rstudioapi
+RoxygenNote: 7.2.0
+Imports: fs, cli, usethis, jsonlite, roxygen2, rprojroot, rstudioapi,
+        assertthat, htmlwidgets
 URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
 BugReports: https://github.com/JohnCoene/packer/issues
 Suggests: testthat, covr, golem
 NeedsCompilation: no
-Packaged: 2022-01-08 20:22:31 UTC; john
+Packaged: 2022-05-28 09:13:23 UTC; john
 Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
 Maintainer: John Coene <jcoenep@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-01-08 20:32:42 UTC
+Date/Publication: 2022-05-28 09:30:02 UTC

## packer 0.10.1+dfsg

=== debian/changelog ===
packer (0.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + added azure-sdk-for-go, azure-go-autorest (vendoring
      both not needed anymore), and azure-go-ntlmssp to build and
      source package deps, removed dep against dgrijalva-jwt-go.
    + corrected typo in package description.
  * deb/copyright: dropped paragraphs for vendored packages.
  * deb/README.source: dropped info on vendored packages.

 -- Daniel Stender <stender@debian.org>  Tue, 10 May 2016 10:53:02 +0200

packer (0.10.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #740753).

 -- Daniel Stender <stender@debian.org>  Tue, 26 Apr 2016 16:08:50 +0200

=== debian/control ===
Source: packer
Section: devel
Priority: extra
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go (>= 1.5),
               pandoc,
               golang-github-hpcloud-tail-dev (>= 1.0.0+git20160415.b294095-2),
               golang-github-aws-aws-sdk-go-dev,
               golang-github-digitalocean-godo-dev,
               golang-github-dylanmei-winrmtest-dev,
               golang-github-go-ini-ini-dev,
               golang-github-hashicorp-atlas-go-dev,
               golang-github-hashicorp-go-checkpoint-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-yamux-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-masterzen-winrm-dev,
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-go-fs-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-github-mitchellh-iochan-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-mitchellh-multistep-dev,
               golang-github-mitchellh-panicwrap-dev,
               golang-github-mitchellh-prefixedio-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-packer-community-winrmcp-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-pierrec-xxhash-dev,
               golang-github-pkg-sftp-dev,
               golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
               golang-github-ugorji-go-codec-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-gopkg-xmlpath.v2-dev,
               golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
               golang-github-azure-go-autorest-dev (>= 7.0.4~),
               golang-github-azure-go-ntlmssp-dev
Standards-Version: 3.9.8
Homepage: http://www.packer.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/packer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/packer.git
XS-Go-Import-Path: github.com/mitchellh/packer

Package: golang-github-mitchellh-packer-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-go (>= 1.5),
         golang-github-hpcloud-tail-dev (>= 1.0.0+git20160415.b294095-2),
         golang-github-aws-aws-sdk-go-dev,
         golang-github-digitalocean-godo-dev,
         golang-github-dylanmei-winrmtest-dev,
         golang-github-go-ini-ini-dev,
         golang-github-hashicorp-atlas-go-dev,
         golang-github-hashicorp-go-checkpoint-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-hashicorp-go-version-dev,
         golang-github-hashicorp-yamux-dev,
         golang-github-kardianos-osext-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-masterzen-winrm-dev,
         golang-github-mitchellh-cli-dev,
         golang-github-mitchellh-go-fs-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-mitchellh-go-vnc-dev,
         golang-github-mitchellh-iochan-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-mitchellh-multistep-dev,
         golang-github-mitchellh-panicwrap-dev,
         golang-github-mitchellh-prefixedio-dev,
         golang-github-mitchellh-reflectwalk-dev,
         golang-github-packer-community-winrmcp-dev,
         golang-github-pierrec-lz4-dev,
         golang-github-pierrec-xxhash-dev,
         golang-github-pkg-sftp-dev,
         golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
         golang-github-ugorji-go-codec-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-oauth2-dev,
         golang-google-api-dev (>= 0.0~git20160408~),
         golang-gopkg-xmlpath.v2-dev,
         golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
         golang-github-azure-go-autorest-dev (>= 7.0.4~),
         golang-github-azure-go-ntlmssp-dev
Description: development package (source code) of Packer
 This package contains the source code of Packer which is
 needed by other Google Go packages in the Debian archive to
 build. You don't need to install this if you just want to use
 Packer.

Package: packer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: docker.io,
            qemu
Suggests: ansible,
          chef
Description: tool for creating machine images for multiple platforms
 Packer is a CLI tool for the automatic creation of identical machine images
 (single deployable units that contain a pre-configured OS and installed
 software) for multiple platforms (public cloud providers, private cloud
 and desktop virtualization solutions) from a single JSON template resp.
 configuration file.
 .
 Packer features builders for the following target platforms which could be
 employed on Debian:
  - Amazon Web Services (EBS-backed Amazon Machine Images for EC2, and other
    types)
  - Microsoft Azure (VHDs in the Azure Resource Manager)
  - DigitalOcean (reuseable snaphots from available source images)
  - Docker
  - Google Compute Engine (images based on existing images)
  - OpenStack (new reuseable images for servers in OpenStack clouds)
  - QEMU (KVM and Xen virtual machine images)
  - Oracle VirtualBox (virtual machine images)
 .
 A number of post-processors are included like for creating Vagrant boxes.
 .
 Several provisioners resp. remote execution systems, namely Ansible, Chef,
 Puppet, Salt, and shell based provisioning (using SSH) are supported to
 configure and install software on the machines automatically after fresh OSs
 have been set up. Provisioning Windows machines via Windows shell and
 PowerShell is included (using WinRM).
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test # a small number of tests doesn't work

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/packer-$1.tar.gz/,\
dversionmangle=s/\+dfsg\d*$//" \
https://github.com/mitchellh/packer/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## packer 0.10.2+dfsg

=== Makefile ===
TEST?=$(shell go list ./... | grep -v vendor)
VET?=$(shell ls -d */ | grep -v vendor | grep -v website)
# Get the current full sha from git
GITSHA:=$(shell git rev-parse HEAD)
# Get the current local branch name from git (if we can, this may be blank)
GITBRANCH:=$(shell git symbolic-ref --short HEAD 2>/dev/null)

default: deps generate test dev

ci: deps test

release: deps test releasebin package

bin: deps
	@echo "WARN: 'make bin' is for debug / test builds only. Use 'make release' for release builds."
	@GO15VENDOREXPERIMENT=1 sh -c "$(CURDIR)/scripts/build.sh"

releasebin: deps
	@grep 'const VersionPrerelease = "dev"' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must remove prerelease tags from version/version.go prior to release."; \
		exit 1; \
	fi
	@GO15VENDOREXPERIMENT=1 sh -c "$(CURDIR)/scripts/build.sh"

package:
	$(if $(VERSION),,@echo 'VERSION= needed to release; Use make package skip compilation'; exit 1)
	@sh -c "$(CURDIR)/scripts/dist.sh $(VERSION)"

deps:
	go get github.com/mitchellh/gox
	go get golang.org/x/tools/cmd/stringer
	@go version | grep 1.4 ; if [ $$? -eq 0 ]; then \
		echo "Installing godep and restoring dependencies"; \
		go get github.com/tools/godep; \
		godep restore; \
	fi

dev: deps
	@grep 'const VersionPrerelease = ""' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must add prerelease tags to version/version.go prior to making a dev build."; \
		exit 1; \
	fi
	@PACKER_DEV=1 GO15VENDOREXPERIMENT=1 sh -c "$(CURDIR)/scripts/build.sh"

fmt:
	go fmt `go list ./... | grep -v vendor`

# Install js-beautify with npm install -g js-beautify
fmt-examples:
	find examples -name *.json | xargs js-beautify -r -s 2 -n -eol "\n"

# generate runs `go generate` to build the dynamically generated
# source files.
generate: deps
	go generate .
	go fmt command/plugin.go

test: deps
	@go test $(TEST) $(TESTARGS) -timeout=2m
	@go tool vet $(VET)  ; if [ $$? -eq 1 ]; then \
		echo "ERROR: Vet found problems in the code."; \
		exit 1; \
	fi

# testacc runs acceptance tests
testacc: deps generate
	@echo "WARN: Acceptance tests will take a long time to run and may cost money. Ctrl-C if you want to cancel."
	PACKER_ACC=1 go test -v $(TEST) $(TESTARGS) -timeout=45m

testrace: deps
	@go test -race $(TEST) $(TESTARGS) -timeout=2m

updatedeps:
	go get -u github.com/mitchellh/gox
	go get -u golang.org/x/tools/cmd/stringer
	@echo "INFO: Packer deps are managed by godep. See CONTRIBUTING.md"

# This is used to add new dependencies to packer. If you are submitting a PR
# that includes new dependencies you will need to run this.
vendor:
	godep restore
	godep save

.PHONY: bin checkversion ci default deps fmt fmt-examples generate releasebin test testacc testrace updatedeps

=== debian/changelog ===
packer (0.10.2+dfsg-6) unstable; urgency=medium

  * deb/patches:
    - Backport two more patches to handle ABI change of
      golang-golang-x-crypto-dev (Closes: #861282).

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 26 May 2017 09:08:48 +0900

packer (0.10.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * deb/patches:
    + Add patch to handle ABI change of golang-golang-x-crypto-dev,
      due to CVE security fix. (Closes: #861282)
  * deb/control:
    + Bump up version of golang-golang-x-crypto-dev in Build-Depends
      and Depends.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 15 May 2017 00:51:19 +0900

packer (0.10.2+dfsg-4) unstable; urgency=medium

  * deb/rules: disable a flaky test in packer/rpc/mux_broker_test.go
    (Closes: #858018).

 -- Daniel Stender <stender@debian.org>  Wed, 05 Apr 2017 08:18:59 +0200

packer (0.10.2+dfsg-3) unstable; urgency=medium

  * deb/rules: expand timeout for tests (Closes: #853135).

 -- Daniel Stender <stender@debian.org>  Mon, 30 Jan 2017 09:21:12 +0100

packer (0.10.2+dfsg-2) unstable; urgency=medium

  * get build time tests passing through (Closes: #852072):
    + add export for DH_GOLANG_INSTALL_EXTRA to include test-fixtures.
    + set $HOME for dh_auto_test.
    + remove failsafe for dh_auto_test.

 -- Daniel Stender <stender@debian.org>  Sun, 29 Jan 2017 22:59:31 +0100

packer (0.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + add dep against new golang-golang-x-oauth2-google-dev.
    + add version to golang-golang-x-oauth2-dev (catch missing breaks).
    + correct a typo in package description.
  * deb/watch:
    + fix filenamemangle, add repacksuffix.

 -- Daniel Stender <stender@debian.org>  Tue, 15 Nov 2016 18:14:05 +0100

=== debian/control ===
--- 
+++ 
@@ -36,8 +36,9 @@
                golang-github-pkg-sftp-dev,
                golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
                golang-github-ugorji-go-codec-dev,
-               golang-golang-x-crypto-dev,
-               golang-golang-x-oauth2-dev,
+               golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
+               golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
+               golang-golang-x-oauth2-google-dev,
                golang-google-api-dev (>= 0.0~git20160408~),
                golang-gopkg-xmlpath.v2-dev,
                golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
@@ -83,8 +84,9 @@
          golang-github-pkg-sftp-dev,
          golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
          golang-github-ugorji-go-codec-dev,
-         golang-golang-x-crypto-dev,
-         golang-golang-x-oauth2-dev,
+         golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
+         golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
+         golang-golang-x-oauth2-google-dev,
          golang-google-api-dev (>= 0.0~git20160408~),
          golang-gopkg-xmlpath.v2-dev,
          golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
@@ -117,7 +119,7 @@
   - Amazon Web Services (EBS-backed Amazon Machine Images for EC2, and other
     types)
   - Microsoft Azure (VHDs in the Azure Resource Manager)
-  - DigitalOcean (reuseable snaphots from available source images)
+  - DigitalOcean (reuseable snapshots from available source images)
   - Docker
   - Google Compute Engine (images based on existing images)
   - OpenStack (new reuseable images for servers in OpenStack clouds)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DH_GOLANG_INSTALL_EXTRA := common/test-fixtures \
                                  command/test-fixtures \
                                  helper/flag-kv/test-fixtures \
                                  packer/test-fixtures \
                                  template/test-fixtures \
                                  builder/docker/test-fixtures \
                                  builder/files/test-fixtures

%:
	dh $@ --buildsystem=golang --with=golang

# temporarily disable flaky TestMuxBroker (see https://github.com/mitchellh/packer/issues/4750)
override_dh_auto_test:
	HOME=$(CURDIR) dh_auto_test -- -timeout 30m -run '^Test([^M]|M[^u]|Mu[^x]|Mux[^B]|MuxB[^r]|MuxBr[^o]|MuxBro[^k]|MuxBrok[^e]|MuxBroke[^r])'

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/packer-$1.tar.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg" \
https://github.com/mitchellh/packer/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## packer 1.0.2+dfsg

=== Makefile ===
TEST?=$(shell go list ./... | grep -v vendor)
VET?=$(shell ls -d */ | grep -v vendor | grep -v website)
# Get the current full sha from git
GITSHA:=$(shell git rev-parse HEAD)
# Get the current local branch name from git (if we can, this may be blank)
GITBRANCH:=$(shell git symbolic-ref --short HEAD 2>/dev/null)
GOFMT_FILES?=$$(find . -not -path "./vendor/*" -name "*.go")
GOOS=$(shell go env GOOS)
GOARCH=$(shell go env GOARCH)

# Get the git commit
GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+CHANGES" || true)
GIT_COMMIT=$(shell git rev-parse --short HEAD)
GIT_IMPORT=github.com/hashicorp/packer/version
GOLDFLAGS=-X $(GIT_IMPORT).GitCommit=$(GIT_COMMIT)$(GIT_DIRTY)

export GOLDFLAGS

default: deps generate test dev

ci: deps test

release: deps test releasebin package ## Build a release build

bin: deps ## Build debug/test build
	@go get github.com/mitchellh/gox
	@echo "WARN: 'make bin' is for debug / test builds only. Use 'make release' for release builds."
	@sh -c "$(CURDIR)/scripts/build.sh"

releasebin: deps
	@go get github.com/mitchellh/gox
	@grep 'const VersionPrerelease = "dev"' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must remove prerelease tags from version/version.go prior to release."; \
		exit 1; \
	fi
	@sh -c "$(CURDIR)/scripts/build.sh"

package:
	$(if $(VERSION),,@echo 'VERSION= needed to release; Use make package skip compilation'; exit 1)
	@sh -c "$(CURDIR)/scripts/dist.sh $(VERSION)"

deps:
	@go get golang.org/x/tools/cmd/stringer
	@go get github.com/kardianos/govendor
	@govendor sync

dev: deps ## Build and install a development build
	@grep 'const VersionPrerelease = ""' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must add prerelease tags to version/version.go prior to making a dev build."; \
		exit 1; \
	fi
	@mkdir -p pkg/$(GOOS)_$(GOARCH)
	@go install -ldflags '$(GOLDFLAGS)'
	@cp $(GOPATH)/bin/packer bin
	@cp $(GOPATH)/bin/packer pkg/$(GOOS)_$(GOARCH)

fmt: ## Format Go code
	@gofmt -w -s $(GOFMT_FILES)

fmt-check: ## Check go code formatting
	$(CURDIR)/scripts/gofmtcheck.sh $(GOFMT_FILES)

fmt-docs:
	@find ./website/source/docs -name "*.md" -exec pandoc --wrap auto --columns 79 --atx-headers -s -f "markdown_github+yaml_metadata_block" -t "markdown_github+yaml_metadata_block" {} -o {} \;

# Install js-beautify with npm install -g js-beautify
fmt-examples:
	find examples -name *.json | xargs js-beautify -r -s 2 -n -eol "\n"

# generate runs `go generate` to build the dynamically generated
# source files.
generate: deps ## Generate dynamically generated code
	go generate .
	gofmt -w command/plugin.go

test: deps fmt-check ## Run unit tests
	@go test $(TEST) $(TESTARGS) -timeout=2m
	@go tool vet $(VET)  ; if [ $$? -eq 1 ]; then \
		echo "ERROR: Vet found problems in the code."; \
		exit 1; \
	fi

# testacc runs acceptance tests
testacc: deps generate ## Run acceptance tests
	@echo "WARN: Acceptance tests will take a long time to run and may cost money. Ctrl-C if you want to cancel."
	PACKER_ACC=1 go test -v $(TEST) $(TESTARGS) -timeout=45m

testrace: deps ## Test for race conditions
	@go test -race $(TEST) $(TESTARGS) -timeout=2m

updatedeps:
	@echo "INFO: Packer deps are managed by govendor. See CONTRIBUTING.md"

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: bin checkversion ci default deps fmt fmt-docs fmt-examples generate releasebin test testacc testrace updatedeps

=== debian/changelog ===
packer (1.0.2+dfsg-1) unstable; urgency=medium

  * Adopt package (Closes: #865337)
  * New upstream version 1.0.2+dfsg
  * Drop golang-github-mitchellh-packer-dev, it's useless and
    no other packages depend on it.
  * d/packer.examples: Add alicloud example
  * d/packer.install:
    + Only install /usr/bin/packer
    + Drop /usr/lib/packer/{example, packer, scripts}
  * d/copyright:
    + Add myself to copyright holder
    + Remove full copy of MPL-2.0
    + builder/azure/pkcs12/pkcs8_test.go is BSD-3-Clause licensed
    + Use https in format url
  * d/compat: Update compat to 10
  * d/control:
    + Add myself to uploader
    + Update standard version to 4.0.1
      * Change priority to optional
    + Change section to utils
    + Update depends to new version
    + Add autopkgtest-pkg-go
  * d/rules:
    + Use find to include all test-fixtures
    + Remove disabled plugins source
  * d/patches:
    + Add 0001-disable-telemetry-report.patch
    + Add 0002-disable-aws-AssumeRoleTokenProvider.patch
    + Add 0003-disable-1and1-profitbrick-triton-builder-plugin.patch
    + Add 0004-fix-build-on-old-azure-sdk.patch
    + Add 0005-Fix-amazon-chroot-builder-test.patch
    + Add 0006-Disable-bgzf-compress.patch
    + Add 0007-Skip-tests-needing-writable-HOME-dir.patch
    + Drop Specify-InsecureIgnoreHostKey-for-HostKeyCallback.patch
    + Drop patches/fix-tails-import-path.patch
    + Drop handle-ABI-change-of-golang-golang-x-crypto-dev.patch
    + Drop update-ssh-client-usage-for-new-crypto-ssh-version.patch

 -- Shengjing Zhu <i@zhsj.me>  Tue, 22 Aug 2017 14:38:37 +0800

=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               pandoc,
               golang-any (>= 1.5),
               golang-github-aws-aws-sdk-go-dev (>= 1.4.22),
               golang-github-aliyun-aliyun-oss-go-sdk-dev,
               golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
               golang-github-azure-go-autorest-dev (>= 7.0.4~),
#               golang-github-biogo-hts-dev,
               golang-github-denverdino-aliyungo-dev,
               golang-github-digitalocean-godo-dev (>= 1.1.0),
               golang-github-google-shlex-dev,
               golang-github-gophercloud-gophercloud-dev,
               golang-github-hashicorp-atlas-go-dev (>= 0.0~git20170619.0.1ea2527~),
               golang-github-hashicorp-go-checkpoint-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-yamux-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6~),
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-go-fs-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-github-mitchellh-iochan-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-mitchellh-multistep-dev,
               golang-github-mitchellh-panicwrap-dev,
               golang-github-mitchellh-prefixedio-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-packer-community-winrmcp-dev (>= 0.0~git20170607.0.078cc0a~),
               golang-github-pierrec-lz4-dev,
               golang-github-pkg-sftp-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-xanzy-go-cloudstack-dev,
               golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
               golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-text-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-gopkg-xmlpath.v2-dev,
# Test dependency
               golang-github-approvals-go-approval-tests-dev,
               golang-github-stretchr-testify-dev,
               golang-github-dylanmei-winrmtest-dev,
Standards-Version: 4.0.1
Homepage: https://www.packer.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/packer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/packer.git
XS-Go-Import-Path: github.com/hashicorp/packer
Testsuite: autopkgtest-pkg-go

Package: packer
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: docker.io,
            qemu
Suggests: ansible,
          chef
Description: tool for creating machine images for multiple platforms
 Packer is a CLI tool for the automatic creation of identical machine images
 (single deployable units that contain a pre-configured OS and installed
 software) for multiple platforms (public cloud providers, private cloud
 and desktop virtualization solutions) from a single JSON template resp.
 configuration file.
 .
 Packer features builders for the following target platforms which could be
 employed on Debian:
  - Amazon Web Services (EBS-backed Amazon Machine Images for EC2, and other
    types)
  - Microsoft Azure (VHDs in the Azure Resource Manager)
  - DigitalOcean (reuseable snapshots from available source images)
  - Docker
  - Google Compute Engine (images based on existing images)
  - OpenStack (new reuseable images for servers in OpenStack clouds)
  - QEMU (KVM and Xen virtual machine images)
  - Oracle VirtualBox (virtual machine images)
 .
 A number of post-processors are included like for creating Vagrant boxes.
 .
 Several provisioners resp. remote execution systems, namely Ansible, Chef,
 Puppet, Salt, and shell based provisioning (using SSH) are supported to
 configure and install software on the machines automatically after fresh OSs
 have been set up. Provisioning Windows machines via Windows shell and
 PowerShell is included (using WinRM).
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name test-fixtures) \
	                          $(wildcard builder/azure/common/template/*.json) \
				  $(wildcard builder/azure/arm/*.json)
export DH_GOLANG_EXCLUDES := plugin/example scripts

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	# remove these disabled plugins source to skip failed tests on them
	rm -rf builder/oneandone builder/profitbricks builder/triton
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README

## packer 1.0.4%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name test-fixtures) \
-	                          $(wildcard builder/azure/common/template/*.json) \
-				  $(wildcard builder/azure/arm/*.json)
+	                          $(wildcard builder/azure/common/template/*approved*) \
+				  $(wildcard builder/azure/arm/*approved*)
 export DH_GOLANG_EXCLUDES := plugin/example scripts
+export HOME := $(shell mktemp -d)
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## packer 1.0.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 GOFMT_FILES?=$$(find . -not -path "./vendor/*" -name "*.go")
 GOOS=$(shell go env GOOS)
 GOARCH=$(shell go env GOARCH)
+GOPATH=$(shell go env GOPATH)
 
 # Get the git commit
 GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+CHANGES" || true)

=== debian/changelog ===
packer (1.0.4+dfsg-1ubuntu0.1) bionic-security; urgency=medium

  * No-change rebuild for golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 16 Jan 2023 16:21:43 +0100

packer (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.4+dfsg
  * Refresh patches with new upstream release
  * Enable bgzf compress
    + Add golang-github-biogo-hts-dev to Build-Depends
  * Bump azure-sdk, autorest version in Build-Depends
  * d/rules: fix testdata include wildcard
  * Update Standards-Version to 4.1.0 (no changes)
  * Update description from official intro
    Remove detailed builder info which is often changed, avoid
    increasing the work for translators
  * d/copyright: Add missing post-processor/checksum files copyright

 -- Shengjing Zhu <i@zhsj.me>  Wed, 13 Sep 2017 21:42:03 +0800

=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any (>= 1.5),
               golang-github-aliyun-aliyun-oss-go-sdk-dev,
               golang-github-aws-aws-sdk-go-dev (>= 1.4.22),
               golang-github-azure-azure-sdk-for-go-dev (>= 10~),
               golang-github-azure-go-autorest-dev (>= 8~),
               golang-github-biogo-hts-dev,
               golang-github-denverdino-aliyungo-dev,
               golang-github-digitalocean-godo-dev (>= 1.1.0),
               golang-github-google-shlex-dev,
               golang-github-gophercloud-gophercloud-dev,
               golang-github-hashicorp-atlas-go-dev (>= 0.0~git20170619.0.1ea2527~),
               golang-github-hashicorp-go-checkpoint-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-yamux-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6~),
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-go-fs-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-github-mitchellh-iochan-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-mitchellh-multistep-dev,
               golang-github-mitchellh-panicwrap-dev,
               golang-github-mitchellh-prefixedio-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-packer-community-winrmcp-dev (>= 0.0~git20170607.0.078cc0a~),
               golang-github-pierrec-lz4-dev,
               golang-github-pkg-sftp-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-xanzy-go-cloudstack-dev,
               golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
               golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-text-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-gopkg-xmlpath.v2-dev,
               pandoc,
# Test dependency
               golang-github-approvals-go-approval-tests-dev,
               golang-github-dylanmei-winrmtest-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.1.0
Homepage: https://www.packer.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/packer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/packer.git
XS-Go-Import-Path: github.com/hashicorp/packer
Testsuite: autopkgtest-pkg-go

Package: packer
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: docker.io,
            qemu,
Suggests: ansible,
          chef,
Description: tool for creating machine images for multiple platforms
 Packer is an open source tool for creating identical machine images for
 multiple platforms from a single source configuration. Packer is lightweight,
 runs on every major operating system, and is highly performant, creating
 machine images for multiple platforms in parallel. Packer does not replace
 configuration management like Chef or Puppet. In fact, when building images,
 Packer is able to use tools like Chef or Puppet to install software onto the
 image.
 .
 A machine image is a single static unit that contains a pre-configured
 operating system and installed software which is used to quickly create new
 running machines. Machine image formats change for each platform. Some
 examples include AMIs for EC2, VMDK/VMX files for VMware, OVF exports for
 VirtualBox, etc.
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/packer-$1.tar.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg" \
https://github.com/hashicorp/packer/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## packer 1.3.4%2Bdfsg

=== debian/changelog ===
packer (1.3.4+dfsg-4) unstable; urgency=medium

  * Update patches to show error info for disabled features
  * Add README.Debian to clarify the difference between upstream version
  * Remove outdated command description in manpage
  * Add patch to skip flaky TestBuildStdin

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2019 23:57:16 +0800

packer (1.3.4+dfsg-3) unstable; urgency=medium

  * Disable slow tests on mips too

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 09:59:50 +0800

packer (1.3.4+dfsg-2) unstable; urgency=medium

  * Disable timeout test on mipsel

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 07:58:39 +0800

packer (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.4+dfsg
  * Exclude tencentcloud and hcloud builder.
    Since the dependencies are not packaged
  * Vendor old mapstructure to workaround regression in new version
  * Add patch to disable sed func in template.
    Since the dependencies are not packaged

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 00:16:11 +0800

packer (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.1+dfsg.
  * Update my email to zhsj@debian.org.
  * Update Standards-Version to 4.2.1. (no changes)
  * Drop pandoc from Build-Depends, install markdown doc as is.
  * Add patch to disable consul/vault/xz related plugins,
    lack of new dependencies.
  * Add patch to skip test which relies on /dev/tty.
  * Add patch to fix flaky test in TestHook_cancelWhileRun.
  * Refresh openstack patch, add back token variable.
  * Refresh Build-Depends for new release.
    + Add golang-github-google-go-cmp-dev.
    + Add golang-github-google-uuid-dev.
    + Add golang-gopkg-cheggaaa-pb.v1-dev.
    + Bump golang-github-gophercloud-gophercloud-dev to
      0.0~git20180917.45f1c769.
    + Bump golang-golang-x-oauth2-dev to 0.0~git20180821.d2e6202.
    + Bump golang-golang-x-oauth2-google-dev 0.0~git20180821.d2e6202.
    + Bump golang-google-api-dev to 0.0~git20180916.19ff876.
  * Remove no longer used Build-Depends.
  * Bump golang-github-christrenkamp-goxpath-dev and drop old patch.
  * Bump golang-github-denverdino-aliyungo-dev and drop old patch.
  * Drop azure packages from Build-Depends, since the plugin was disabled.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 19:54:44 +0800

packer (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.5+dfsg (Closes: #877451)
  * d/control: add goxpath and govmomi
  * d/control: remove xmlpath.v2 from Build-Depends
  * d/control: change mailinglist, VCS, Standards-Version
  * d/compat: update to 11
  * d/rules: exclude disabled plugins
  * d/patches: refresh patches
    + temporarily disable azure arm plugin
    + also disable oneandone, ncloud, oracle-oci, oracle-classic,
      profitbricks, scaleway, triton for lacking dependencies.
  * d/examples: add ansible

 -- Shengjing Zhu <i@zhsj.me>  Tue, 31 Jul 2018 14:40:49 +0800
